Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.jsb
Class ServiceBeanActivation.LifeCycleManager

    java.lang.Object
      org.jini.rio.jsb.ServiceBeanActivation.LifeCycleManager

All Implemented Interfaces:
  LifeCycle, DiscardManager

Enclosing class:
  ServiceBeanActivation

    public static class ServiceBeanActivation.LifeCycleManager

extends Object
implements DiscardManager, LifeCycle

Class that provides basic functionality to enable bootstrapping

Constructor Summary
`ServiceBeanActivation.LifeCycleManager()`

Method Summary
`void` | `discard()` A ServiceBean invokes the discard method when it has terminated, or is in the process of termination.
`void` | `register(Object sbProxy, ServiceBeanContext context)`
`void` | `terminate()` Shutdown the utility and terminate the ServiceBean if needed
`boolean` | `unregister(Object impl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceBeanActivation.LifeCycleManager

    public ServiceBeanActivation.LifeCycleManager()

Method Detail

### register

    public void register(Object sbProxy,
                         ServiceBeanContext context)
                  throws JSBControlException

  Throws:
    `JSBControlException`

### terminate

    public void terminate()

  Shutdown the utility and terminate the ServiceBean if needed

### discard

    public void discard()

  Description copied from interface: `DiscardManager`
  A ServiceBean invokes the discard method when it has terminated, or is in the process of termination. The DiscardManager should perform any necessary cleanup tasks associated with the termination of a ServiceBean

  Specified by:
    `discard` in interface `DiscardManager`
  See Also:
    `DiscardManager.discard()`

### unregister

    public boolean unregister(Object impl)

  Specified by:
    `unregister` in interface `LifeCycle`
  See Also:
    `LifeCycle.unregister(java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.